#
#   COMPONENT_NAME: somx
#
#   ORIGINS: 27
#
#
#    25H7912  (C)  COPYRIGHT International Business Machines Corp. 1996
#   All Rights Reserved
#   Licensed Materials - Property of IBM
#   US Government Users Restricted Rights - Use, duplication or
#   disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
#   @(#) 1.4 src/somples.nt/somu/c/fb/vac.mak, somples.somu, som3.0 12/15/96 17:42:19 [12/17/96 09:07:47]

# DISCLAIMER OF WARRANTIES.
# The following [enclosed] code is sample code created by IBM
# Corporation. This sample code is not part of any standard or IBM
# product and is provided to you solely for the purpose of assisting
# you in the development of your applications.  The code is provided
# "AS IS". IBM MAKES NO WARRANTIES, EXPRESS OR IMPLIED, INCLUDING BUT
# NOT LIMITED TO THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS
# FOR A PARTICULAR PURPOSE, REGARDING THE FUNCTION OR PERFORMANCE OF
# THIS CODE.  IBM shall not be liable for any damages arising out of
# your use of the sample code, even if they have been advised of the
# possibility of such damages.
#
# DISTRIBUTION.
# This sample code can be freely distributed, copied, altered, and
# incorporated into other software, provided that it bears the above
# Copyright notice and DISCLAIMER intact.
#
#  Makefile for building the tp sample with
#        VisualAge C++ - using nmake.
#
!include ..\..\..\vacmake.hd

# PRIVLDFLAGS=/OUT:comptest.exe

EXEOBJS=comptest.obj barking.obj dog.OBJ fierce.OBJ barkobj.OBJ bdog.OBJ \
 fb_1.OBJ fb_2.OBJ fb_3.OBJ fb_4.OBJ fdog.OBJ fierbark.OBJ fierobj.obj

IDL_H=barking.H barkobj.H bdog.H dog.H fb_1.H \
 fb_2.H fb_3.H fb_4.H fdog.H fierbark.H fierce.H fierobj.h

IDL_IH=$(IDL_H:.H=.IH)

all : $(SOMCORBA_DEPEND) comptest.exe

comptest.exe : $(EXEOBJS)

# objs
comptest.obj : $(IDL_H) comptest.c
barking.obj : barking.ih barking.h barking.c
dog.obj : dog.ih dog.h dog.c
fierce.obj : fierce.ih fierce.h fierce.c
barkobj.obj : barkobj.ih barkobj.h barkobj.c
bdog.obj : bdog.ih bdog.h bdog.c
fb_1.obj : fb_1.ih fb_1.h fb_1.c
fb_2.obj : fb_2.ih fb_2.h fb_2.c
fb_3.obj : fb_3.ih fb_3.h fb_3.c
fb_4.obj : fb_4.ih fb_4.h fb_4.c
fdog.obj : fdog.ih fdog.h fdog.c
fierbark.obj : fierbark.ih fierbark.h fierbark.c
fierobj.obj : fierobj.ih fierobj.h fierobj.c

# ih
barking.ih : barking.idl
barkobj.ih : barkobj.idl
bdog.ih : bdog.idl
dog.ih : dog.idl
fb_1.ih : fb_1.idl
fb_2.ih : fb_2.idl
fb_3.ih : fb_3.idl
fb_4.ih : fb_4.idl
fdog.ih : fdog.idl
fierbark.ih : fierbark.idl
fierce.ih : fierce.idl
fierobj.ih : fierobj.idl

# h
barking.h : barking.idl
barkobj.h : barkobj.idl
bdog.h : bdog.idl
dog.h : dog.idl
fb_1.h : fb_1.idl
fb_2.h : fb_2.idl
fb_3.h : fb_3.idl
fb_4.h : fb_4.idl
fdog.h : fdog.idl
fierbark.h : fierbark.idl
fierce.h : fierce.idl
fierobj.h : fierobj.idl

# c
barkobj.c : barkobj.idl
bdog.c : bdog.idl
fb_1.c : fb_1.idl
fb_2.c : fb_2.idl
fb_3.c : fb_3.idl
fb_4.c : fb_4.idl
fdog.c : fdog.idl
fierbark.c : fierbark.idl
fierobj.c : fierobj.idl

clean:
	-del barking.H 
	-del barkobj.H 
	-del barkobj.c 
	-del bdog.H 
	-del bdog.c 
	-del dog.H 
	-del fb_1.H
	-del fb_1.c
	-del fb_2.H
	-del fb_2.c
	-del fb_3.H
	-del fb_3.c
	-del fb_4.H
	-del fb_4.c
	-del fdog.H 
	-del fdog.c 
	-del fierbark.H 
	-del fierbark.c 
	-del fierce.H 
	-del fierobj.H 
	-del fierobj.c 
	-del *.ih
!include ..\..\..\vacmake.tl
